Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenExpressionProviderContainerImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenExpressionProviderContainerImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenExpressionProviderContainer

    public class GenExpressionProviderContainerImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenExpressionProviderContainer

An implementation of the model object 'Gen Expression Provider Container'.

The following features are implemented:

- `Expressions Package Name`
- `Abstract Expression Class Name`
- `Providers`
- `Editor Gen`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `ABSTRACT_EXPRESSION_CLASS_NAME_EDEFAULT` The default value of the '`Abstract Expression Class Name`' attribute
`protected java.lang.String` `abstractExpressionClassName` The cached value of the '`Abstract Expression Class Name`' attribute
`protected static java.lang.String` `EXPRESSIONS_PACKAGE_NAME_EDEFAULT` The default value of the '`Expressions Package Name`' attribute
`protected java.lang.String` `expressionsPackageName` The cached value of the '`Expressions Package Name`' attribute
`protected org.eclipse.emf.common.util.EList<GenExpressionProviderBase>` `providers` The cached value of the '`Providers`' containment reference list

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenExpressionProviderContainerImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetEditorGen(GenEditorGenerator newEditorGen, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getAbstractExpressionClassName()`
`java.lang.String` `getAbstractExpressionClassNameGen()`
`java.lang.String` `getAbstractExpressionQualifiedClassName()`
`GenEditorGenerator` `getEditorGen()`
`java.lang.String` `getExpressionsPackageName()`
`java.lang.String` `getExpressionsPackageNameGen()`
`GenExpressionProviderBase` `getProvider(ValueExpression expression)`
`org.eclipse.emf.common.util.EList<GenExpressionProviderBase>` `getProviders()`
`boolean` `isCopy(ValueExpression expression)`
`void` `setAbstractExpressionClassName(java.lang.String newAbstractExpressionClassName)`
`void` `setEditorGen(GenEditorGenerator newEditorGen)`
`void` `setExpressionsPackageName(java.lang.String newExpressionsPackageName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### EXPRESSIONS_PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String EXPRESSIONS_PACKAGE_NAME_EDEFAULT

  The default value of the '`Expressions Package Name`' attribute.

  See Also:
    `getExpressionsPackageName()`
  ** Generated **
  Ordered:

### expressionsPackageName

    protected java.lang.String expressionsPackageName

  The cached value of the '`Expressions Package Name`' attribute.

  See Also:
    `getExpressionsPackageName()`
  ** Generated **
  Ordered:

### ABSTRACT_EXPRESSION_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ABSTRACT_EXPRESSION_CLASS_NAME_EDEFAULT

  The default value of the '`Abstract Expression Class Name`' attribute.

  See Also:
    `getAbstractExpressionClassName()`
  ** Generated **
  Ordered:

### abstractExpressionClassName

    protected java.lang.String abstractExpressionClassName

  The cached value of the '`Abstract Expression Class Name`' attribute.

  See Also:
    `getAbstractExpressionClassName()`
  ** Generated **
  Ordered:

### providers

    protected org.eclipse.emf.common.util.EList<GenExpressionProviderBase> providers

  The cached value of the '`Providers`' containment reference list.

  See Also:
    `getProviders()`
  ** Generated **
  Ordered:

Constructor Detail

### GenExpressionProviderContainerImpl

    protected GenExpressionProviderContainerImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getExpressionsPackageNameGen

    public java.lang.String getExpressionsPackageNameGen()

  ** Generated **

### getExpressionsPackageName

    public java.lang.String getExpressionsPackageName()

  Specified by:
    `getExpressionsPackageName` in interface `GenExpressionProviderContainer`
  Returns:
    the value of the 'Expressions Package Name' attribute.
  See Also:
    `GenExpressionProviderContainer.setExpressionsPackageName(String)`, `GMFGenPackage.getGenExpressionProviderContainer_ExpressionsPackageName()`
  ** Generated **
    NOT

### setExpressionsPackageName

    public void setExpressionsPackageName(java.lang.String newExpressionsPackageName)

  Specified by:
    `setExpressionsPackageName` in interface `GenExpressionProviderContainer`
  Parameters:
    `newExpressionsPackageName` - the new value of the 'Expressions Package Name' attribute.
  See Also:
    `GenExpressionProviderContainer.getExpressionsPackageName()`
  ** Generated **

### getAbstractExpressionClassNameGen

    public java.lang.String getAbstractExpressionClassNameGen()

  ** Generated **

### getAbstractExpressionClassName

    public java.lang.String getAbstractExpressionClassName()

  Specified by:
    `getAbstractExpressionClassName` in interface `GenExpressionProviderContainer`
  Returns:
    the value of the 'Abstract Expression Class Name' attribute.
  See Also:
    `GenExpressionProviderContainer.setAbstractExpressionClassName(String)`, `GMFGenPackage.getGenExpressionProviderContainer_AbstractExpressionClassName()`
  ** Generated **
    NOT

### setAbstractExpressionClassName

    public void setAbstractExpressionClassName(java.lang.String newAbstractExpressionClassName)

  Specified by:
    `setAbstractExpressionClassName` in interface `GenExpressionProviderContainer`
  Parameters:
    `newAbstractExpressionClassName` - the new value of the 'Abstract Expression Class Name' attribute.
  See Also:
    `GenExpressionProviderContainer.getAbstractExpressionClassName()`
  ** Generated **

### getProviders

    public org.eclipse.emf.common.util.EList<GenExpressionProviderBase> getProviders()

  Specified by:
    `getProviders` in interface `GenExpressionProviderContainer`
  Returns:
    the value of the 'Providers' containment reference list.
  See Also:
    `GMFGenPackage.getGenExpressionProviderContainer_Providers()`, `GenExpressionProviderBase.getContainer()`
  ** Generated **

### getEditorGen

    public GenEditorGenerator getEditorGen()

  Specified by:
    `getEditorGen` in interface `GenExpressionProviderContainer`
  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GenExpressionProviderContainer.setEditorGen(GenEditorGenerator)`, `GMFGenPackage.getGenExpressionProviderContainer_EditorGen()`, `GenEditorGenerator.getExpressionProviders()`
  ** Generated **

### basicSetEditorGen

    public org.eclipse.emf.common.notify.NotificationChain basicSetEditorGen(GenEditorGenerator newEditorGen,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setEditorGen

    public void setEditorGen(GenEditorGenerator newEditorGen)

  Specified by:
    `setEditorGen` in interface `GenExpressionProviderContainer`
  Parameters:
    `newEditorGen` - the new value of the 'Editor Gen' container reference.
  See Also:
    `GenExpressionProviderContainer.getEditorGen()`
  ** Generated **

### isCopy

    public boolean isCopy(ValueExpression expression)

  Specified by:
    `isCopy` in interface `GenExpressionProviderContainer`
  ** Generated **
    NOT

### getProvider

    public GenExpressionProviderBase getProvider(ValueExpression expression)

  Specified by:
    `getProvider` in interface `GenExpressionProviderContainer`
  ** Generated **
    NOT

### getAbstractExpressionQualifiedClassName

    public java.lang.String getAbstractExpressionQualifiedClassName()

  Specified by:
    `getAbstractExpressionQualifiedClassName` in interface `GenExpressionProviderContainer`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.